@import '../static/style/variables';

.auth-layout {
  display: flex;
  width: 100%;
  min-height: 100vh;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  background: linear-gradient(to bottom right, #2b323c 10%, lighten(rgba(#2b323c, 0.4), 20%) 100%);

  .logo {
    margin-bottom: 40px;
    font-size: 34px;
    font-weight: 300;

    span {
      color: #05bcfe;
    }
  }
}

.main-layout {
  //background: linear-gradient(to bottom right, #2b323c 10%, lighten(rgba(#2b323c, 0.4), 20%) 100%);;
}

.main-area {
  .container-fluid {
    color: #595d6e;
  }
}

.menu-bar {
  z-index: 111;
  width: 250px;
  position: fixed;
  top: 0;
  margin-top: 45px;
  left: 0px;
  height: 100vh;
  color: #fff;
  //box-shadow: 0px 1px 0px rgba(0, 0, 0, 0.2);
  box-shadow: 2px 0px 0px 0px rgba(white, 0.2);
  background: rgba(#242939, 1);
  padding: 7px 0px;

  a {
    padding: 10px 20px;
    font-size: 1.2em;
    display: block;
    color: #fff;

    &:hover {
      //border-left: 1px solid $main-active;
      background: none;
      color: $main-active;
    }

    &.active {
      //border-left: 1px solid $main-active;
      //-webkit-box-shadow: inset 0px 0px 5px 1px rgba(0, 0, 0, 0.3);
      //-moz-box-shadow: inset 0px 0px 5px 1px rgba(0, 0, 0, 0.3);
      //box-shadow: inset 0px 0px 5px 1px rgba(0, 0, 0, 0.3);
      background: $main-dark;
      color: $sec-active;
      //color: #fff;
    }
  }

  .icon {
    width: 25px;
    height: 25px;
    padding-right: 7px;
    margin-top: -3px;
    //display: inline;
  }

  @media (max-width: 1200px) {
    z-index: 111;
    width: 100vw;
    height: 41px;
    //padding: 0px 14px;

    display: flex;
    justify-content: space-between;
    position: fixed;
    top: 0;
    left: 0;
    color: #fff;
    //box-shadow: none;
    margin-top: 51px;
    box-shadow: 0px 1px 0px 0px rgba(white, 0.2);
    //box-shadow: 2px 1px 2px rgba(0, 0, 0, 0.2);
    a {
      display: -ms-flexbox;
      display: inline-flex;
      height: 41px;
      width: auto;
      //font-size: 1.1em;
      color: #fff;

      &:hover {
        background: none;
        color: $main-active;
        //border-left: none;
        box-shadow: none;
      }

      &.active {
        //border-left: none;
        box-shadow: none;
        background: none;
        color: $sec-active;
      }

      .icon {
        width: 25px;
        height: 25px;
        margin-top: -1px;
      }
    }
  }

  @media (max-width: 575px) {
    a {
      .text {
        display: none;
      }

      .icon {
        width: 29px;
        height: 29px;
      }
    }
  }
}

.side-menu-area {
  height: 100vh;
  width: 100vw;

  .main-area {
    background: none;
    overflow-y: scroll;
    overflow-x: hidden;
    position: absolute;
    left: 250px;
    top: 51px;
    right: 0;
    bottom: 0;

    .container-fluid {
      padding: 25px;
    }
  }

  @media (max-width: 1200px) {
    .main-area {
      left: 0;
      top: 92px;
      //padding-left: 0px;
      //padding-top: 92px;
      .container-fluid {
        padding: 7px 10px;
      }
    }
  }
}



